Advertisement:

Author Topic: Upgrade 2.0.12 to 2.0.15  (Read 544 times)

Offline PenelopeQ

  • Jr. Member
  • **
  • Posts: 354
    • The Hero's Spouse
Upgrade 2.0.12 to 2.0.15
« on: December 31, 2017, 03:03:25 PM »
I need to upgrade. The last time I did this I just did the mod in package manager, but now it looks like I can't do that and will need to use the Large Upgrade package which means I will also need to uninstall my mods.
I think that will bring more questions, but can someone first confirm that I cannot upgrade as a mod this time?

Offline Arantor

  • Resident Overthinker
  • SMF Friend
  • SMF Legend
  • *
  • Posts: 68,339
    • Arantor on GitHub
Re: Upgrade 2.0.12 to 2.0.15
« Reply #1 on: December 31, 2017, 03:04:58 PM »
You should be able to upgrade to 2.0.13 then 2.0.14 then 2.0.15 as mods. Not sure why you wouldn't be able to do that.

Please make sure you have PHP 5.4 or higher before the upgrade.
To assume is to hope that those who came before had the presence of mind and capacity to implement the dreams of those who would come after.

You either die a hero or live long enough to see yourself become the villain. It seems you have chosen which, and now I must do the same.

Offline vbgamer45

  • SMF Friend
  • SMF Super Hero
  • *
  • Posts: 19,456
    • smfhacks on Facebook
    • VBGAMER45 on GitHub
    • @createaforum on Twitter
    • SMF For Free
Re: Upgrade 2.0.12 to 2.0.15
« Reply #2 on: December 31, 2017, 03:05:49 PM »
Small patch files are also found at https://custom.simplemachines.org/upgrades/ installed via the package manager
Community Suite for SMF - Take your forum to the next level built for SMF, Gallery,Store,Classifieds,Downloads,more!

SMFHacks.com -  Paid Modifications for SMF

Mods:
EzPortal - Portal System for SMF
SMF Gallery Pro
SMF Store SMF Classifieds Ad Seller Pro

Offline PenelopeQ

  • Jr. Member
  • **
  • Posts: 354
    • The Hero's Spouse
Re: Upgrade 2.0.12 to 2.0.15
« Reply #3 on: December 31, 2017, 03:52:29 PM »
Thanks.
2.0.13 and 2.0.14 installed without issue, but 2.0.15 has an error.
Quote
Error in Package Installation
At least one error was encountered during a test installation of this package. It is strongly recommended that you do not continue with installation unless you know what you are doing, and have made a backup very recently. This error may be caused by a conflict between the package you're trying to install and another package you have already installed, an error in the package, a package which requires another package that you don't have installed yet, or a package designed for another version of SMF.

Here is the list  of what failed.

*   18.   Execute Modification   ./Sources/ManageMembers.php   Test failed
   1.   Replace   ./Sources/ManageMembers.php   Test successful
   2.   Replace   ./Sources/ManageMembers.php   Test failed
   3.   Replace   ./Sources/ManageMembers.php   Test successful

*   21.   Execute Modification   ./Sources/PersonalMessage.php   Test failed
   1.   Replace   ./Sources/PersonalMessage.php   Test successful
   2.   Replace   ./Sources/PersonalMessage.php   Test failed
   3.   Replace   ./Sources/PersonalMessage.php   Test successful


Offline Arantor

  • Resident Overthinker
  • SMF Friend
  • SMF Legend
  • *
  • Posts: 68,339
    • Arantor on GitHub
Re: Upgrade 2.0.12 to 2.0.15
« Reply #4 on: December 31, 2017, 03:53:27 PM »
What mods do you have?
To assume is to hope that those who came before had the presence of mind and capacity to implement the dreams of those who would come after.

You either die a hero or live long enough to see yourself become the villain. It seems you have chosen which, and now I must do the same.

Offline PenelopeQ

  • Jr. Member
  • **
  • Posts: 354
    • The Hero's Spouse
Re: Upgrade 2.0.12 to 2.0.15
« Reply #5 on: December 31, 2017, 03:55:26 PM »
1.   Alternative Menu With Top Menu Icon & Button Remover   1.4.2     [ Uninstall ] [ List Files ] [ Delete ]
2.   Bad Behavior mod   1.5.17     [ Uninstall ] [ List Files ] [ Delete ]
3.   Board Notification Mod   1.2.2     [ Uninstall ] [ List Files ] [ Delete ]
4.   Default_Membergroup   1.0.1     [ Uninstall ] [ List Files ] [ Delete ]
5.   Gender on Memberlist   1.5   [ List Files ] [ Delete ]
6.   Global Headers Footers   2.0.1     [ Uninstall ] [ List Files ] [ Delete ]
7.   Last Active On MemberList   1.4     [ Uninstall ] [ List Files ] [ Delete ]
8.   Move Old Topics   1.3.8     [ Uninstall ] [ List Files ] [ Delete ]
9.   Personal Messages to Membergroups   1.4.3     [ List Files ] [ Delete ]
10.   Register At Post View v.1.1   1.1     [ Uninstall ] [ List Files ] [ Delete ]
11.   SMFPacks WYSIWYG Editor   2.0.7   [ Install Mod ] [ List Files ] [ Delete ]
12.   SMFPacks Personal Conversations   1.0.3   [ Install Mod ] [ List Files ] [ Delete ]
13.   SMFPacks Popup Pro Mod   1.0.3     [ Uninstall ] [ List Files ] [ Delete ]
14.   Search Sent PMs   1.4     [ Uninstall ] [ List Files ] [ Delete ]
15.   SMFPacks Shoutbox Pro   1.0.9     [ Uninstall ] [ List Files ] [ Delete ]
16.   Stop Spammer   2.3.9     [ Uninstall ] [ List Files ] [ Delete ]
17.   TopicStarter Mod   1.7     [ Uninstall ] [ List Files ] [ Delete ]
18.   Topic & Board Note   1.0.3     [ Uninstall ] [ List Files ] [ Delete ]
19.   Ad Managment   3.1a     [ Uninstall ] [ List Files ] [ Delete ]
20.   Anti-Spam Links   1.0.1     [ Uninstall ] [ List Files ] [ Delete ]
21.   Join Reason   1.3     [ Uninstall ] [ List Files ] [ Delete ]
22.   Advanced Topic Prefix Mod   4.0.3     [ Uninstall ] [ List Files ] [ Delete ]
23.   SMF 2.0.12 Update   1.0     [ List Files ] [ Delete ]
24.   SMF 2.0.13 Update   1.0     [ List Files ] [ Delete ]
25.   SMF 2.0.14 Update   1.0     [ Uninstall ] [ List Files ] [ Delete ]
26.   SMF 2.0.15 Update   1.0   [ Install Mod ] [ List Files ] [ Delete ]

Offline Arantor

  • Resident Overthinker
  • SMF Friend
  • SMF Legend
  • *
  • Posts: 68,339
    • Arantor on GitHub
Re: Upgrade 2.0.12 to 2.0.15
« Reply #6 on: December 31, 2017, 03:57:30 PM »
At least one of the problems relates to the Stop Spammer mod - take a look through the mod's thread and you'll see discussions on it working with 2.0.15.
To assume is to hope that those who came before had the presence of mind and capacity to implement the dreams of those who would come after.

You either die a hero or live long enough to see yourself become the villain. It seems you have chosen which, and now I must do the same.

Offline PenelopeQ

  • Jr. Member
  • **
  • Posts: 354
    • The Hero's Spouse
Re: Upgrade 2.0.12 to 2.0.15
« Reply #7 on: December 31, 2017, 04:27:04 PM »
Thanks.

The instructions make sense.
Uninstall the mod.
Update to 2.0.15
reinstall the mod--ignoring the error (supposing it is only the error described in the thread by the others)
make the edits to the mod

I got an error when I tried to uninstall the mod.
Here is what failed
*   4.   Execute Modification   ./Sources/Subs.php   Test successful
*   5.   Execute Modification   ./Sources/Subs-Members.php   Test failed
   1.   Replace   ./Sources/Subs-Members.php   Test successful
   2.   Replace   ./Sources/Subs-Members.php   Test failed

Do I need to take this to the mod thread, or can I keep it here?

Offline Kindred

  • The Mean One
  • Support Specialist
  • SMF Legend
  • *
  • Posts: 55,247
  • Gender: Male
    • Kindred-999 on GitHub
Re: Upgrade 2.0.12 to 2.0.15
« Reply #8 on: January 01, 2018, 12:41:23 PM »
Manual,y make those changes to properly uninstall
Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

Offline PenelopeQ

  • Jr. Member
  • **
  • Posts: 354
    • The Hero's Spouse
Re: Upgrade 2.0.12 to 2.0.15
« Reply #9 on: January 01, 2018, 04:45:30 PM »
Manualy make those changes to properly uninstall
Sorry, not sure what you mean exactly.
Make the edits to the mod before uninstalling?

So my steps should look like this instead?

make the edits to the mod
Uninstall the mod [but if I make the changes, does the mod still need to be uninstalled?]
Update to 2.0.15
reinstall the mod--there should be no error since I already made the edits

Offline Sir Osis of Liver

  • SMF Hero
  • ******
  • Posts: 7,326
  • There's someone in my head but it's not me.
Re: Upgrade 2.0.12 to 2.0.15
« Reply #10 on: January 01, 2018, 08:57:23 PM »
No, you have to edit the target file Subs-Members.php.  Click the edit widget left of the error message, it will show you target and replacement code.  You can do it before or after installing the mod.

Offline PenelopeQ

  • Jr. Member
  • **
  • Posts: 354
    • The Hero's Spouse
Re: Upgrade 2.0.12 to 2.0.15
« Reply #11 on: January 03, 2018, 01:38:51 AM »
Huh?
What edit widget next to an error message?

I'm trying to UNinstall the mod.

Offline Illori

  • Project Manager
  • SMF Master
  • *
  • Posts: 48,337
Re: Upgrade 2.0.12 to 2.0.15
« Reply #12 on: January 03, 2018, 05:11:28 AM »
same thing, you click that icon it tells you what is failing and you can then manually locate the code and remove it from the file.

the reverse of this https://wiki.simplemachines.org/smf/Error_in_mod_installation

Offline PenelopeQ

  • Jr. Member
  • **
  • Posts: 354
    • The Hero's Spouse
Re: Upgrade 2.0.12 to 2.0.15
« Reply #13 on: January 03, 2018, 01:48:48 PM »
I made the edits, but that made no difference when I try to uninstall-- I get the same errors with the same edit instructions.
Those directions (for installing rather than uninstalling) said to install anyway, so am I supposed to uninstall anyway?

Offline Steve

  • Support Specialist
  • SMF Hero
  • *
  • Posts: 4,018
  • Gender: Male
  • I have not yet begun to procrastinate.
Re: Upgrade 2.0.12 to 2.0.15
« Reply #14 on: January 03, 2018, 06:30:54 PM »
Edit: backup everything first as you always should!

You make the manual edits and uninstall. You will still get errors since what the uninstall function is looking for is not what is in the php file.

So, yes, assuming you made all the correct edits to revert the file to what it was before the mod, you go ahead and uninstall.
Please do not PM me for support.